import javax.swing.*;
import java.awt.event.*;
import java.awt.BorderLayout;

/**
 * Lab #6
 * CS 2334, Section 0??
 * DATE GOES HERE
 * <P>
 * This class implements a dialog box that can be used
 * to input the data associated with a movie.
 * </P>
 * @author Group #??
 * @version 1.0
 */
public class MovieDialog extends JDialog implements ActionListener
{
	/** Default serial ID */
	private static final long serialVersionUID = 1L;
	/** Data model for the dialog box. */
	private Movie dataModel;
	/** Static constant that indicates the user clicked on "OK" */
	public static final int OK_OPTION = 1;
	/** Static constant that indicates the user clicked on "CANCEL" */
	public static final int CANCEL_OPTION = 0;
	/** Dummy Button. */
	private JButton dummyButton;

	/**
	 * Initializes the GUI for the dialog box.
	 * <P>
	 * @param   ownerFrame   Frame this dialog is to be attached to.
	 * @param   model        Data model to use for this dialog.
	 */
	MovieDialog( JFrame ownerFrame, Movie model )
	{
		/* Call the constructor of the super class (JDialog) and 
		 * to initialize the dialog object. */
		super( ownerFrame, true );

		/* Save a reference to the object serving as the data model
		 * for the dialog. */
		dataModel = model;

		/* Create components to add to the dialog and setup any necessary
		 * event listeners. */
		dummyButton = new JButton( "ClickHere" );
		dummyButton.addActionListener( this );

		/* Add the components to the content pane of the dialog. */
		getContentPane().add( dummyButton, BorderLayout.SOUTH );

		// NOTE: You will want to use a different layout manger than BorderLayout.

		/* Dummy code that makes sure we put something into the data model.
		 * YOU MUST REMOVE THIS CODE. */
		dataModel.setTitle( "Movie0" );
		dataModel.setYear( 0 );

		// Resize the dialog so that it fit's it's contents.
		pack();
	}

	/**
	 * Returns a value indicating how the user closed the dialog.
	 * <P>
	 * @return  An integer indicating how the user closed the dialog
	 *          (will be either the constant OK_OPTION or CANCEL_OPTION.
	 */
	public int getCloseOption()
	{
		return OK_OPTION;
	}

	/**
	 * Method serving as the action event handler for the dialog.
	 * <P>
	 * @param  e  An instance of ActionEvent representing the event that
	 *            occurred.
	 */
	public void actionPerformed( ActionEvent e )
	{
		dispose();
	}
}
